package com.ruoyi.ss.card.service;

import java.util.List;

import com.ruoyi.ss.card.domain.GroupBuyingDTO;
import com.ruoyi.ss.card.domain.SsCard;
import com.ruoyi.ss.card.domain.SsCardVO;
import com.ruoyi.ss.card.domain.SsCardQuery;

/**
 * 卡券Service接口
 *
 * @author qzz
 * @date 2025-03-03
 */
public interface ISsCardService
{
    /**
     * 查询卡券
     *
     * @param couponId 卡券主键
     * @return 卡券
     */
    public SsCardVO selectSsCardByCouponId(Long couponId);

    /**
     * 根据skuId查询卡券
     *
     * @param skuId skuId
     * @return 卡券
     */
    public SsCardVO selectSsCardBySkuId(String skuId);

    /**
     * 查询卡券列表
     *
     * @param ssCard 卡券
     * @return 卡券集合
     */
    public List<SsCardVO> selectSsCardList(SsCardQuery ssCard);

    /**
     * 新增卡券
     *
     * @param ssCard 卡券
     * @return 结果
     */
    public int insertSsCard(SsCard ssCard);

    /**
     * 修改卡券
     *
     * @param ssCard 卡券
     * @return 结果
     */
    public int updateSsCard(SsCard ssCard);

    /**
     * 批量删除卡券
     *
     * @param couponIds 需要删除的卡券主键集合
     * @return 结果
     */
    public int deleteSsCardByCouponIds(Long[] couponIds);

    /**
     * 删除卡券信息
     *
     * @param couponId 卡券主键
     * @return 结果
     */
    public int deleteSsCardByCouponId(Long couponId);

    /**
     * 验券
     */
    int prepare(GroupBuyingDTO dto);

}
